Retrieves the job approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier |
Required |
| ready_for_multi_approval |
Inform if this is a temp approval prepared for a future approval with the customer (multi approval) |
boolean | |
| is_daily_approval |
Intermediate approval of full approval |
boolean | |
| contact_id |
Foreign key of contact, that signed the approval |
globally unique identifier | |
| contact_name |
Contact fullname that sign the approval if not already exists |
string |
Max length: 255 |
| customer_remarks |
Remarks of the customer during the approval |
string |
Max length: 4000 |
| date_generated |
Local Date+Time of the approval generation |
date | |
| additional_email |
Additional emails that should receive the approval pdf |
string |
Max length: 4000 |
| is_signed |
Inform if a signature is available (cf db_signature) |
boolean | |
| job_status_id |
Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed) |
globally unique identifier | |
| rating |
Rating (0,5) the quality of the jobs |
integer | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ee434914-5c2d-448f-b949-f6c2a971d7ca",
"jobs_id": "e52b7874-f1b1-4b0f-abf8-364a230e2c38",
"user_id": "ca7a31d6-1164-4a8a-9d0f-68e9058c8243",
"ready_for_multi_approval": true,
"is_daily_approval": true,
"contact_id": "e9a2140c-5a47-4c55-b444-0fccfbff2c39",
"contact_name": "sample string 7",
"customer_remarks": "sample string 8",
"date_generated": "2026-01-24T06:22:15.1633218+00:00",
"additional_email": "sample string 10",
"is_signed": true,
"job_status_id": "8dbda024-a551-43cf-ad38-925bc960b79e",
"rating": 13,
"modified_dateutc": "2026-01-24T06:22:15.1633218+00:00"
}